<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<style type="text/css">
.wrapper {
  display: flex;  
  flex-flow: row wrap;
  font-weight: bold;
  text-align: center; 
}

.wrapper > * {
  padding: 10px;
  flex: 1 100%; /* 모든 항목을 flex-grow는 1, flex-basis는 100%로 설정해서 한 줄에 한 항목씩 가득 차도록 설정 */
}

.header {
  background: tomato;
}

.footer {
  background: lightgreen;
}

.main {
  text-align: left;
  background: deepskyblue;
}

.aside-1 {
  background: gold;
}

.aside-2 {
  background: hotpink;
}

@media all and (min-width: 600px) {
  .aside { flex: 1 0 0; } /* 600이상이면 aside 둘만 basis를 0으로 만들어서 한 줄에 같이 표기되도록 설정 */
}

@media all and (min-width: 800px) {
  .main    { flex: 3 0px; } /* 800이상이면 main도 basis를 0으로 만들어서 aside와 한 줄에 같이 표기되도록 설정 */
  .aside-1 { order: 1; } 
  .main    { order: 2; }
  .aside-2 { order: 3; }
  .footer  { order: 4; }
}

body {
  padding: 2em; 
}
</style>
</head>
<body>
	<div class="wrapper">
	  <header class="header">Header</header>
	  <article class="main">
	    <p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>  
	  </article>
	  <aside class="aside aside-1">Aside 1</aside>
	  <aside class="aside aside-2">Aside 2</aside>
	  <footer class="footer">Footer</footer>
	</div>
</body>
</html>